Bug 924256 - repoclosure failure on 19 Alpha TC1 DVDs (resteasy)
Summary: repoclosure failure on 19 Alpha TC1 DVDs (resteasy)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: resteasy
Version: 19
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ade Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On: 947519
Blocks: F19Alpha, F19AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2013-03-21 12:51 UTC by Andre Robatino
Modified: 2013-04-09 03:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-09 03:42:56 UTC
Type: Bug


Attachments (Terms of Use)
Removed Tomcat 6 dependency (2.14 KB, patch)
2013-04-02 20:23 UTC, Endi Sukma Dewata
no flags Details | Diff
Removed Tomcat 6 dependency (6.24 KB, patch)
2013-04-04 19:59 UTC, Endi Sukma Dewata
no flags Details | Diff

Description Andre Robatino 2013-03-21 12:51:00 UTC
Description of problem:
i386 DVD:

package: resteasy-2.3.2-9.fc18.noarch from myrepo
  unresolved deps: 
     tomcat6-servlet-2.5-api

x86_64 DVD:

package: resteasy-2.3.2-9.fc18.noarch from myrepo
  unresolved deps: 
     tomcat6-servlet-2.5-api

Version-Release number of selected component (if applicable):
19 Alpha TC1 DVDs

Comment 1 Andre Robatino 2013-03-21 13:06:24 UTC
Automatic Blocker according to "Unresolved dependencies on the DVD image (failures of QA:Testcase_Mediakit_Repoclosure)".

Comment 2 Andre Robatino 2013-03-26 05:30:55 UTC
Still broken in 19 Alpha TC2.

Comment 3 Adam Williamson 2013-03-28 20:56:42 UTC
I talked to Ade about this. He's aware of it and it's on his team's schedule. I let them know the Alpha change deadline (04-02) and go/no-go (04-11, meaning 04-09 is basically the cut-off for not slipping the release) dates. He says they likely won't make 04-02 but will try and make it before 04-09. resteasy apparently has extensive deps, including IPA, so dropping it off the media is not a good option.

Comment 4 Andre Robatino 2013-03-29 06:35:50 UTC
Still broken in 19 Alpha TC3.

Comment 5 Endi Sukma Dewata 2013-04-02 20:23:25 UTC
Created attachment 730946 [details]
Removed Tomcat 6 dependency

Comment 6 Jaroslav Reznik 2013-04-03 12:30:02 UTC
Ade/Endi, could you please build it?

Comment 7 Marek Goldmann 2013-04-03 12:34:27 UTC
Jaroslav,

Please see bug 947519, we're working on a fix, should be there today, assuming we can get this new package into F19 tree. Is that possible?

Comment 8 Adam Williamson 2013-04-03 18:50:59 UTC
Thanks for working on this. Just to note, Bodhi is now in force for F19. The best thing to do would be to post a single Bodhi update containing the new package from 947519 and the update to this package to depend on it; then we have a single update that addresses the problem, and we can up-karma and push that update. Thanks! Let me know if you need any help with the Bodhi process.

Comment 9 Andre Robatino 2013-04-04 04:16:20 UTC
Still broken in 19 Alpha TC4.

Comment 10 Endi Sukma Dewata 2013-04-04 19:59:04 UTC
Created attachment 731716 [details]
Removed Tomcat 6 dependency

Comment 11 Fedora Update System 2013-04-04 22:12:54 UTC
jboss-servlet-2.5-api-1.0.1-3.fc19,resteasy-2.3.2-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jboss-servlet-2.5-api-1.0.1-3.fc19,resteasy-2.3.2-12.fc19

Comment 12 Andre Robatino 2013-04-05 10:53:39 UTC
Fixed in 19 Alpha TC5.

Comment 13 Adam Williamson 2013-04-05 19:08:00 UTC
Please up-karma the update, folks, thanks!

Comment 14 Fedora Update System 2013-04-09 03:43:02 UTC
jboss-servlet-2.5-api-1.0.1-3.fc19, resteasy-2.3.2-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.